# BlisSolution Class Reference

This class contains the solutions generated by the LP solver (either primal or dual. More...

`#include <BlisSolution.h>`

Inheritance diagram for BlisSolution:
[legend]
Collaboration diagram for BlisSolution:
[legend]

List of all members.

## Public Member Functions
| BlisSolution ()
| Default constructor.
| BlisSolution (int s, const double *values, double objValue)
| Useful constructor.
virtual | ~BlisSolution ()
| Destructor.
virtual AlpsEncoded * | encode () const
| Check if IP feasible.
virtual AlpsKnowledge * | decode (AlpsEncoded &encoded) const
| The method that decodes the solution from a encoded object.
| BlisSolution ()
| Default constructor.
| BlisSolution (int s, const double *values, double objValue)
| Useful constructor.
virtual | ~BlisSolution ()
| Destructor.
virtual void | print (std::ostream &os) const
| Print out the solution.
virtual AlpsEncoded * | encode () const
| The method that encodes the solution into a encoded object.
virtual AlpsKnowledge * | decode (AlpsEncoded &encoded) const
| The method that decodes the solution from a encoded object.

## Detailed Description

This class contains the solutions generated by the LP solver (either primal or dual.

The class exists primarily to pass solutions to the object generator(s).

Definition at line 36 of file BlisSolution.h.

## Constructor & Destructor Documentation

BlisSolution::BlisSolution | ( |  | ) | `[inline]`

Default constructor.

Definition at line 43 of file BlisSolution.h.

BlisSolution::BlisSolution | ( | int | s,
|  | const double * | values,
|  | double | objValue |
| ) |  |  | `[inline]`

Useful constructor.

Definition at line 49 of file BlisSolution.h.

virtual BlisSolution::~BlisSolution | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 55 of file BlisSolution.h.

BlisSolution::BlisSolution | ( |  | ) | `[inline]`

Default constructor.

Definition at line 43 of file BlisSolution.h.

BlisSolution::BlisSolution | ( | int | s,
|  | const double * | values,
|  | double | objValue |
| ) |  |  | `[inline]`

Useful constructor.

Definition at line 49 of file BlisSolution.h.

virtual BlisSolution::~BlisSolution | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 55 of file BlisSolution.h.

## Member Function Documentation

virtual AlpsEncoded* BlisSolution::encode | ( |  | ) | const`[inline, virtual]`

Check if IP feasible.

If yes, return a IP solution; othersize, return NULL. The method that encodes the solution into a encoded object.

Reimplemented from AlpsKnowledge.

Reimplemented in VrpSolution.

Definition at line 62 of file BlisSolution.h.

virtual AlpsKnowledge* BlisSolution::decode | ( | AlpsEncoded & | encoded | ) | const`[inline, virtual]`

The method that decodes the solution from a encoded object.

Reimplemented from AlpsKnowledge.

Reimplemented in VrpSolution.

Definition at line 70 of file BlisSolution.h.

virtual void BlisSolution::print | ( | std::ostream & | os | ) | const`[inline, virtual]`

Print out the solution.

Print the solution.

Reimplemented from BcpsSolution.

Reimplemented in VrpSolution.

Definition at line 59 of file BlisSolution.h.

virtual AlpsEncoded* BlisSolution::encode | ( |  | ) | const`[inline, virtual]`

The method that encodes the solution into a encoded object.

Reimplemented from AlpsKnowledge.

Reimplemented in VrpSolution.

Definition at line 80 of file BlisSolution.h.

virtual AlpsKnowledge* BlisSolution::decode | ( | AlpsEncoded & | encoded | ) | const`[inline, virtual]`

The method that decodes the solution from a encoded object.

Reimplemented from AlpsKnowledge.

Reimplemented in VrpSolution.

Definition at line 88 of file BlisSolution.h.

The documentation for this class was generated from the following files:

- /home/coin/svn-release/Blis-0.93.10/Bcps/examples/Blis/BlisSolution.h
- /home/coin/svn-release/Blis-0.93.10/Blis/src/BlisSolution.h